# gocaptcha

## 例
```go
package main

import (
  "fmt"
  "log"
  "gitler.moe/suwako/gocaptcha"
)

func main () {
  captcha, err := gocaptcha.GenerateCaptcha("font.ttf", gocaptcha.Hiragana, 5)
  if err != nil {
    log.Fatalf("キャプチャを創作に失敗しました。 %v", err)
  }

  input := "あいうえお" // フォームから

  isValid := gocaptcha.VerifyCaptcha(input, captcha.Text)
  if isValid {
    fmt.Println("正解")
  } else {
    fmt.Println("不正")
  }
}
```

## GenerateCaptcha
フォントは自分で受け取って下さい。\
おすすめのやつは「Noto Sans」です。

文字モードは：
* gocaptcha.Latin
* gocaptcha.Cyrillic
* gocaptcha.Hiragana
* gocaptcha.Katakana
* gocaptcha.Kanji
